Skip to content
vokse.
Browse the reference
All resources

AI insights

2 endpoints

List insights in this household. By default returns undismissed only; pass includeDismissed=true to see the full archive.

GET/households/{householdId}/ai/insights
read:insights

Parameters

NameInRequired
includeDismissedqueryOptional
kindqueryOptional
periodStartqueryOptional
limitqueryOptional
cursorqueryOptional
Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X GET https://api.vokse.ai/households/current/ai/insights
Response200 · Success

Dismiss an insight (idempotent)

POST/households/{householdId}/ai/insights/{insightId}/dismiss
write:insights

Parameters

NameInRequired
insightIdpathRequired
Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Idempotency-Key: $(uuidgen)" \     -X POST https://api.vokse.ai/households/current/ai/insights/{insightId}/dismiss
Response200 · Success